Subject: [xml2rfc] #317 (Version 2 cli): update boilerplate from RFC 5741 to RFC 7841

From: "xml2rfc issue tracker" <[email-masked]>
Date: Thu, 26 May 2016 16:49:56 -0000

#317: update boilerplate from RFC 5741 to RFC 7841

 Please update the 'Status of This Memo' text from RFC 5741 to RFC 7841.

-- 
-----------------------------+----------------------------------
 Reporter:  [email-masked]  |      Owner:  [email-masked]
     Type:  defect           |     Status:  new
 Priority:  major            |  Milestone:
Component:  Version 2 cli    |    Version:  2.4.x
 Keywords:                   |
-----------------------------+----------------------------------

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/317>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Thu, 26 May 2016 18:22:54 -0000

Comment (by [email-masked]):

 It would be awesome if we had a list of changes...

-- 
------------------------------+----------------------------------
Resolution:                   |   Keywords:
------------------------------+----------------------------------

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/317#comment:1>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Thu, 26 May 2016 19:01:23 -0000

Comment (by [email-masked]):

 My understanding is that the only change is as follows -- in the second
 paragraph of each SoTM option.

 {{{
 OLD: Section 2 of RFC 5741.
 NEW: Section 2 of RFC 7841.
 }}}

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/317#comment:2>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Fri, 27 May 2016 12:43:43 -0000

Is there a cutover data or RFC#, so that the tool can do the right thing
 even for older RFCs?

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/317#comment:3>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>

---

From: "xml2rfc issue tracker" <[email-masked]>
Date: Sun, 29 May 2016 16:16:12 -0000

FWIW, I implemented this in rfc2629.xslt based on the publication date
 being >= June 2016
 (https://github.com/reschke/xml2rfc/commit/0f21fa3cc49ada10cb5f709396641ffdabd82a7d).

Ticket URL: <https://trac.tools.ietf.org/tools/xml2rfc/trac/ticket/317#comment:4>
xml2rfc <http://tools.ietf.org/tools/xml2rfc/>